<template>
    <div>
        <div class="row">
            <div class="col-12 col-sm-12 pb-3">
                <form class="form-inline my-2 my-lg-0">
                    <div class="barraPublicacion">
                        <a href="`/muro/${usuario.id}`"><img :src="fotoPerfil" id="iconoPerfil"></a>
                        <input type="Search" placeholder="¿Qué estás pensando?" id="inputPost" class="ml-2"/>
                    </div>
                </form>
            </div>
            
            <div class="col-4 col-sm-4"><button type="button" class="btn btn-light"><i class="bi bi-camera-video"></i> Video en directo</button></div>
            <div class="col-4 col-sm-4"><button type="button" class="btn btn-light"><i class="bi bi-images"></i> Foto/Video</button></div>
            <div class="col-4 col-sm-4"><button type="button" class="btn btn-light"><i class="bi bi-emoji-sunglasses"></i> Sentimiento/Actividad</button></div>
            
        </div>
    </div>
</template>

<script>
import axios from "axios";
import {buscarImagenDePerfilDeUnUsuario} from "@/Services/muro/MuroService.js"

export default {
    name: "CuadroPublicaciones",
    data(){
        return{fotoPerfil:null,}
    },
    methods: {
         async buscarFotoPerfil(usuario){
            try{
                    this.fotoPerfil= await buscarImagenDePerfilDeUnUsuario(usuario);
                    console.log("fotoPerfil")
                    console.log(this.fotoPerfil)
                
            }catch(e){
                console.log(e)
            }
         },
        
        async cargarUsuario() {
            try {
                const data = await axios.get("http://localhost:3001/usuarios/sesion");
                this.usuario = data.data;
                console.log(this.usuario)
            } catch (e) {
                console.log(e);
            }
        },
},
    async created(){
        await this.cargarUsuario();
        await this.buscarFotoPerfil();
    }
}
</script>

<style scoped>
.barraPublicacion {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
}

#inputPost {
    width: 100%;
    height: 2.8rem;
    background: #f5f5f5;
    outline: none;
    border: none;
    border-radius: 1.625rem;
    padding: 0 3.5rem 0 1.5rem;
    font-size: 1rem;
}

#iconoPerfil {
    border-radius: 50%;
    background-repeat: no-repeat;
    background-size: cover;
    width:45px;
    height:45px;
}
.btn {
  background-color: #0b33e6;
  border: none;
  color: white;
  padding: 10px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 14px;
  margin: 4px 2px;
  cursor: pointer;
  width: 180px;
    border-radius: 25px;
    margin-right: 20px;
    position: relative;
}
</style>